Bug 1722176 - The users need to know which version of JDG client is bundled in the JDV images.
Summary: The users need to know which version of JDG client is bundled in the JDV images.
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Documentation, OpenShift
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: GA
: 6.4.0
Assignee: Don Naro
QA Contact: Matej Kralik
URL:
Whiteboard:
Depends On: 1563533
Blocks: 1722180
TreeView+ depends on / blocked
 
Reported: 2019-06-19 15:28 UTC by Matej Kralik
Modified: 2020-10-20 21:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Matej Kralik 2019-06-19 15:28:42 UTC
Document URL: https://access.redhat.com/documentation/en-us/red_hat_jboss_data_virtualization/6.4/html-single/red_hat_jboss_data_virtualization_for_openshift/index#version_compatibility_and_support

Section Number and Name: 1.2. Version compatibility and support

Describe the issue: The JDV image contains JDG client for communicating with JDG. The JDG client is bundled in the JDV image so the users cannot choose which client is in the JDV server as they can in the standalone version of the JDV. Because of that, the user should aware of what version of the JDG client is in the JDV image. Let's imagine a situation:

User have the services
JDV 6.4.6 with JDG 7.2.3
Everything works. After updating to JDV version 6.4.7, the client doesn't work properly because the image of JDV version 6.4.7 contains JDG client for JDG 7.3.1. Because of that, the user have to upgrade JDG as well when wants to update JDV.

Suggestions for improvement: 

I suggest to add a Warning or Node that:
Users who want to integrate Red Hat JBoss Data Virtualization with Red Hat Data Grid should be aware that Red Hat Data Grid client is bundled in the The Red Hat JBoss Data Virtualization image so before the install particular images, be sure that Red Hat Data Grid client is compatible with the Red Hat Data Grid instances.

Version table:
JDV version         | image tag version | bundled JDG client version
------------------------------------------------------------------------------
JDV 6.4.6           |         1.5       | infinispan-client-hotrod-8.5.0
JDV 6.4.7 and above |         1.6       | infinispan-client-hotrod-9.4.13



Additional information:

Comment 1 Don Naro 2019-06-19 17:55:50 UTC
Blocked by https://bugzilla.redhat.com/show_bug.cgi?id=1563533

Comment 2 Don Naro 2019-06-24 10:48:11 UTC
As agreed, will revert branch to this commit: 846d22c601b20d436efc386ead4377b3b6d1296d 

That reverts all changes added as part of the blocking BZ1563533.

Comment 4 Matej Kralik 2019-06-24 11:45:28 UTC
Looks good to me


Note You need to log in before you can comment on or make changes to this bug.